org.apache.fop.render

## Class DummyPercentBaseContext

- java.lang.Object
- - org.apache.fop.render.DummyPercentBaseContext

- All Implemented Interfaces:
    PercentBaseContext

      public final class DummyPercentBaseContext
      extends Object
      implements PercentBaseContext

  A dummy implementation of PercentBaseContext

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getBaseLength(int lengthBase, FObj fo)` Returns the base length for the given length base.
    `static DummyPercentBaseContext` | `getInstance()` Returns an instance of this dummy implementation

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static DummyPercentBaseContext getInstance()

      Returns an instance of this dummy implementation
      Returns:
        an instance of this dummy implementation

    - #### getBaseLength

          public int getBaseLength(int lengthBase,
                                   FObj fo)

      Returns the base length for the given length base. Length base should be one of the constants defined in `LengthBase`.
      Specified by:
        `getBaseLength` in interface `PercentBaseContext`
      Parameters:
        `lengthBase` - Indicates which type of the base length value is to be returned
        `fo` - The FO object against which the percentage should be evaluated
      Returns:
        The base length value of the given kind

Copyright © 2023 Apache Software Foundation. All rights reserved.